Uploaded image for project: 'Modules'
  1. Modules
  2. MODULES-9509

puppetlabs-postgresql : catalog compliation fails when the service command is not installed

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Open
    • Priority: Normal
    • Resolution: Unresolved
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: postgresql
    • Labels:
      None
    • Environment:

      RHEL 8 with minimal install.  Codeready repos are enabled.

    • Template:
      MODULES Bug Template
    • Method Found:
      Manual Test
    • QA Risk Assessment:
      Needs Assessment

      Description

      Basic Info
      Module Version: 6.1.0
      Puppet Version: 6.6.0
      OS Name/Version: Red Hat Enterprise Linux release 8.0 Beta (Ootpa)

      The postgresql module causes puppet failures on RHEL 8 due to the service command not being available.  The service command is deprecated and is no longer installed by default.

      Desired Behavior:

      Run the catalog successfully.

      Actual Behavior:

      Catalog compilation fails with an error similar to below.

       

      {{Error: /Stage[main]/Postgresql::Server::Reload/Exec[postgresql_reload]:
      Failed to call refresh: Could not find command 'service'}}

       

        Attachments

          Activity

            People

            Assignee:
            Unassigned Unassigned
            Reporter:
            Blackknight Michael Watters
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

              Dates

              Created:
              Updated:

                Zendesk Support